package com.gydx.controller;

import com.gydx.vo.Admin;
import com.gydx.service.AdminService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/admin")
public class AdminController {

    @Autowired
    private AdminService adminService;

    @PostMapping("/login")
    public String login(@RequestBody Admin admin) {
        boolean isValid = adminService.validateAdmin(admin.getAccount(), admin.getPassword());
        return isValid ? "true" : "false";
    }
}
