package com.gydx.controller;

import com.gydx.service.UserServiceIface;
import com.gydx.vo.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/user")
public class UserControler {
    @Autowired
    UserServiceIface userServiceIface;
    @RequestMapping("add")
    public void addUser(User user){
        userServiceIface.addUser(user);
    }

    @RequestMapping("delete")
    public void deleteUser(User user){
        userServiceIface.deleteUser(user);
    }

    @RequestMapping("updata")
    public void updateUser(User user){
        userServiceIface.updateUser(user);
    }

    @RequestMapping("query")
    public List<User> queryUser(User user){
        return userServiceIface.queryUser(user);
    }



}
