package com.gydx.service;

import com.gydx.mapper.SuppliersFace;
import com.gydx.vo.Suppliers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class SuppliersServiceImpl implements SuppliersServiceFace{

    @Autowired
    SuppliersFace suppliersFace;
    @Override
    public void addSuppliers(Suppliers suppliers) {
        suppliersFace.addSuppliers(suppliers);
    }

    @Override
    public void deleteSuppliers(Suppliers suppliers) {
        suppliersFace.deleteSuppliers(suppliers);
    }

    @Override
    public void updateSuppliers(Suppliers suppliers) {
        suppliersFace.updateSuppliers(suppliers);
    }

    @Override
    public List<Suppliers> querySuppliers(Suppliers suppliers) {
        return suppliersFace.querySuppliers(suppliers);
    }

    @Override
    public List<Suppliers> querySuppliersName(Suppliers suppliers) {
        return suppliersFace.querySuppliersName(suppliers);
    }
}
