package com.gydx.controller;

import com.gydx.service.BiddingDetailsService;
import com.gydx.vo.BiddingInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


@CrossOrigin(origins = "http://localhost:8080")  // 允许来自前端的跨域请求
@RestController
@RequestMapping("/BiddingDetails")
public class BiddingDetailsController {
//    BiddingDetails

    @Autowired
    private BiddingDetailsService biddingDetailsService;

    @RequestMapping("/query")
    public BiddingInfo queryBiddingDetailsById(@RequestParam("id") Integer id) {
        return biddingDetailsService.queryBiddingDetailsById(id);
    }



}
