package com.gydx.controller;


import com.gydx.service.RulesServiceFace;
import com.gydx.vo.Rules;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("rules")
public class RulesController {

    @Autowired
    RulesServiceFace rulesService;

    @RequestMapping("addrules")
    public void addRules(Rules rules){
        rulesService.addRules(rules);
    }

    @RequestMapping("updateRules")
    public void updateRules(Rules rules){
        rulesService.updateRules(rules);
    }

    @RequestMapping("deleteRules")
    public void deleteRules(Rules rules){
        rulesService.deleteRules(rules);
    }

    @RequestMapping("queryRules")
    public List<Rules> queryRules(Rules rules){
        return rulesService.queryRules(rules);
    }
}
