package com.gydx.service;

import com.gydx.mapper.RulesFace;
import com.gydx.vo.Rules;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class RulesServiceImpl implements RulesServiceFace{

    @Autowired
    RulesFace rulesFace;
    @Override
    public void addRules(Rules rules) {
        rulesFace.addRules(rules);
    }

    @Override
    public void updateRules(Rules rules) {
        rulesFace.updateRules(rules);
    }

    @Override
    public void deleteRules(Rules rules) {
        rulesFace.deleteRules(rules);
    }

    @Override
    public List<Rules> queryRules(Rules rules) {
        return rulesFace.queryRules(rules);
    }
}
